package eu.greenlightning.gdx.labyrinthchallenge.items;

import com.badlogic.gdx.graphics.Texture;
import com.badlogic.gdx.graphics.g2d.Batch;
import com.badlogic.gdx.graphics.g2d.Sprite;
import com.badlogic.gdx.math.MathUtils;

import eu.greenlightning.gdx.labyrinthchallenge.labyrinth.Labyrinth;
import eu.greenlightning.gdx.labyrinthchallenge.labyrinth.Material;

public class Treasure implements Item {

	private Sprite sprite;

	public Treasure() {
		sprite = new Sprite(new Texture("graphics/treasure.png"));
		sprite.setRotation(MathUtils.random(0, 3) * 90);
	}

	@Override
	public void interact(Labyrinth labyrinth) {}

	@Override
	public void draw(Batch batch, int x, int y) {
		sprite.setX(x * Material.SIZE);
		sprite.setY(y * Material.SIZE);
		sprite.draw(batch);
	}

	@Override
	public void dispose() {
		sprite.getTexture().dispose();
	}

}
