package eu.greenlightning.gdx.labyrinthchallenge.labyrinth;

public class Position {

	private final int x, y, z;

	public Position(int x, int y, int z) {
		this.x = x;
		this.y = y;
		this.z = z;
	}

	public int getX() {
		return x;
	}

	public int getY() {
		return y;
	}

	public int getZ() {
		return z;
	}

	public boolean valid(Labyrinth labyrinth) {
		return x >= 0 && x < labyrinth.getSize() && y >= 0 && y < labyrinth.getSize() && z >= 0
			&& z < labyrinth.getHeight();
	}

	public Position getRight() {
		return new Position(x + 1, y, z);
	}

	public Position getLeft() {
		return new Position(x - 1, y, z);
	}

	public Position getTop() {
		return new Position(x, y + 1, z);
	}

	public Position getBottom() {
		return new Position(x, y - 1, z);
	}

	public Position getLower() {
		return new Position(x, y, z + 1);
	}

	public Position getHigher() {
		return new Position(x, y, z - 1);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof Position) {
			Position other = (Position) object;
			return x == other.getX() && y == other.getY() && z == other.getZ();
		}
		return super.equals(object);
	}

	@Override
	public String toString() {
		return "[" + x + "," + y + "," + z + "]";
	}

}
