package eu.greenlightning.gdx.labyrinthchallenge.util;

import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.graphics.Camera;
import com.badlogic.gdx.graphics.Color;
import com.badlogic.gdx.graphics.glutils.ShapeRenderer;
import com.badlogic.gdx.graphics.glutils.ShapeRenderer.ShapeType;
import com.badlogic.gdx.utils.viewport.ScreenViewport;
import com.badlogic.gdx.utils.viewport.Viewport;

public class Background {

	public static final float ANGLE = 10;

	private Viewport viewport = new ScreenViewport();
	private ShapeRenderer renderer = new ShapeRenderer();
	private float offset = 0;

	public void resize(int width, int height) {
		viewport.update(width, height, true);
	}

	public void render() {
		viewport.apply();
		Camera camera = viewport.getCamera();
		renderer.setProjectionMatrix(camera.projection);
		renderer.setTransformMatrix(camera.view);
		renderer.setColor(new Color(0.1f, 0.1f, 0.1f, 1));
		offset -= 10 * Gdx.graphics.getDeltaTime();
		float cx = camera.position.x;
		float cy = camera.position.y;
		float r = Math.max(Gdx.graphics.getWidth(), Gdx.graphics.getHeight()) * 2;
		for (float position = 0; position < 360; position += 2 * ANGLE) {
			renderer.begin(ShapeType.Filled);
			renderer.arc(cx, cy, r, position + offset, ANGLE, 1);
			renderer.end();
		}
	}

	public void dispose() {
		renderer.dispose();
	}

}
