package eu.greenlightning.gdx.labyrinthchallenge.util;

import com.badlogic.gdx.graphics.Color;
import com.badlogic.gdx.graphics.Texture;
import com.badlogic.gdx.graphics.g2d.Batch;

public class Overlay {

	private float time;
	private Color color;
	private Texture texture;

	public Overlay() {
		time = 0;
		color = new Color(1, 1, 1, 0);
		texture = new Texture("interface/overlay.png");
	}

	public void show() {
		time = 0;
		color.a = 0;
	}

	public void update(float delta) {
		time += delta;
		color.a = 0.5f * (time - 1);
		color.clamp();
	}

	public void draw(Batch batch) {
		batch.setColor(color);
		batch.draw(texture, 0, 0);
		batch.setColor(Color.WHITE);
	}

	public void dispose() {
		texture.dispose();
	}

}
