package eu.greenlightning.gdx.labyrinthchallenge.util;

import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.audio.Sound;

public class Sounds {

	private Sound gameStart;
	private Sound gameWin;
	private Sound gameEnd;

	public Sounds() {
		gameStart = Gdx.audio.newSound(Gdx.files.internal("sounds/game-start.wav"));
		gameWin = Gdx.audio.newSound(Gdx.files.internal("sounds/game-win.wav"));
		gameEnd = Gdx.audio.newSound(Gdx.files.internal("sounds/game-end.wav"));
	}

	public void start() {
		gameStart.play();
	}

	public void win() {
		gameWin.play();
	}

	public void end() {
		gameEnd.play();
	}

	public void dispose() {
		gameEnd.dispose();
		gameWin.dispose();
		gameStart.dispose();
	}

}
